%{?nodejs_find_provides_and_requires}

%global packagename figures
%global enable_tests 0
# tests disabled until 'ava' is packaged

Name:		nodejs-figures
Version:	1.7.0
Release:	2%{?dist}
Summary:	Unicode symbols with Windows CMD fallbacks

License:	MIT
URL:		https://github.com/sindresorhus/figures.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/figures/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(object-assign)
BuildRequires:	npm(escape-string-regexp)
%endif

%description
Unicode symbols with Windows CMD fallbacks


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Jul 14 2016 Jared Smith <jsmith@fedoraproject.org> - 1.7.0-2
- Update to address items from package review

* Thu Jul 07 2016 Jared Smith <jsmith@fedoraproject.org> - 1.7.0-1
- Update to upstream 1.7.0 release

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
